//
//  setup_homing_dlg.cpp - setup homing dialog class implementation
//
//  $Id: setup_homing_dlg.cpp 1 2007-04-15 22:52:37Z brian $ 
//
//  Copyright (c) 1999-2007 by Precision Micro Control Corp. All rights reserved.
//
#include "stdafx.h"

#ifdef _DEBUG
#undef THIS_FILE
static char BASED_CODE THIS_FILE[] = __FILE__;
#endif

//
// CSetupHomingDlg dialog
//
CSetupHomingDlg::CSetupHomingDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CSetupHomingDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CSetupHomingDlg)
	m_HomingMacro = 0;
	m_SuppressHomingMessages = FALSE;
	//}}AFX_DATA_INIT
}

void CSetupHomingDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CSetupHomingDlg)
	DDX_Text(pDX, IDC_HOMING_MACRO, m_HomingMacro);
	DDV_MinMaxInt(pDX, m_HomingMacro, 0, 1099);
	DDX_Check(pDX, IDC_SUPPRESS_HOMING_MESSAGES, m_SuppressHomingMessages);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CSetupHomingDlg, CDialog)
	//{{AFX_MSG_MAP(CSetupHomingDlg)
		// NOTE: the ClassWizard will add message map macros here
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()


/////////////////////////////////////////////////////////////////////////////
// CSetupHomingDlg message handlers
